'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var reactPortal = require('react-portal');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var styles = {};

var portalsContainerId = 'ui-components-portals-container';
var PortalManager = {
    containerInstance: function () {
        var portalsContainerElement = document.getElementById(portalsContainerId);
        if (!portalsContainerElement) {
            var container = document.createElement('div');
            container.id = portalsContainerId;
            container.style.position = 'relative';
            container.className = styles['body-1'];
            portalsContainerElement = document.body.appendChild(container);
        }
        portalsContainerElement.style.zIndex = '1000000';
        return portalsContainerElement;
    },
};

var GroupedPortal = function (_a) {
    var children = _a.children;
    return (React__default['default'].createElement(reactPortal.Portal, { node: PortalManager.containerInstance() }, children));
};

exports.GroupedPortal = GroupedPortal;
exports.PortalManager = PortalManager;
//# sourceMappingURL=index.js.map
